package com.sheep.gamegroup.model.util;

import android.support.v7.app.AlertDialog;

/**
 * Created by realicing on 2018/6/15.
 * realicing@sina.com
 */
public class AutoTaskListUtil {

    private static AutoTaskListUtil autoTaskListUtil = new AutoTaskListUtil();

    private AutoTaskListUtil(){
    }
    public static AutoTaskListUtil getInstance(){
        if (autoTaskListUtil == null){
            autoTaskListUtil = new AutoTaskListUtil();
        }
        return autoTaskListUtil;
    }

    private AlertDialog tipToOpenAccessibilityDialog;
    public void clearAlertDialog(){
        tipToOpenAccessibilityDialog = null;
    }

    public AlertDialog getTipToOpenAccessibilityDialog() {
        return tipToOpenAccessibilityDialog;
    }

    public void setTipToOpenAccessibilityDialog(AlertDialog tipToOpenAccessibilityDialog) {
        this.tipToOpenAccessibilityDialog = tipToOpenAccessibilityDialog;
    }

    public boolean isShowing() {
        return tipToOpenAccessibilityDialog != null && tipToOpenAccessibilityDialog.isShowing();
    }

}
